Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.core
Class Qt.Orientation

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.core.Qt.Orientation

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing interface:
  Qt

    public static final class Qt.Orientation

extends java.lang.Enum
implements QtEnumerator

This type is used to signify an object's orientation. Orientation is used with `QScrollBar` for example.

See Also:
  Serialized Form

Field Summary
`static Qt.Orientation` | `Horizontal` Value: Horizontal
`static Qt.Orientation` | `Vertical` Value: Vertical

Method Summary
`static Qt.Orientations` | `createQFlags(Qt.Orientation[] values)` This function creates a com.trolltech.qt.core.Qt$Orientations with the specified `com.trolltech.qt.core.Qt$Orientation[]` Orientation values set.
`static Qt.Orientation` | `resolve(int value)` Returns the Orientation constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static Qt.Orientation` | `valueOf(java.lang.String name)`
`static Qt.Orientation[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### Horizontal

    public static final Qt.Orientation Horizontal

  Value: Horizontal

### Vertical

    public static final Qt.Orientation Vertical

  Value: Vertical

Method Detail

### values

    public static Qt.Orientation[] values()

### valueOf

    public static Qt.Orientation valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static Qt.Orientations createQFlags(Qt.Orientation[] values)

  This function creates a com.trolltech.qt.core.Qt$Orientations with the specified `com.trolltech.qt.core.Qt$Orientation[]` Orientation values set.

### resolve

    public static Qt.Orientation resolve(int value)

  Returns the Orientation constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD